Package com.verisign.epp.codec.domain

## Class EPPDomainMapFactory

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPMapFactory
  - - com.verisign.epp.codec.domain.EPPDomainMapFactory

-     public class EPPDomainMapFactory
      extends EPPMapFactory

  `EPPDomainMapFactory` represents the `EPPCommand` and `EPPResponseMap` factory for the EPP Domain Mapping with the XML Namespace URI "urn:ietf:params:xmlns:domain". The fully qualified class name for `EPPDomainMapFactory` is included in a call to `EPPFactory.init` or `EPPCodec.init`.
  See Also:
    `EPPCodec`, `EPPFactory`, `EPPCommand`, `EPPResponse`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_DOMAIN_AUTHINFO` | XML tag name associated with domain authorization information.
    `static java.lang.String` | `NS` | Namespace URI associated with EPPDomainMapFactory.
    `static java.lang.String` | `NS_CONTACT` | Namesapce URI associated with the Contact Command Mapping.
    `static java.lang.String` | `NS_PREFIX` | Namespace prefix associated with EPPDomainMapFactory.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPMapFactory

      `EPP_CHECK, EPP_CREATE, EPP_DELETE, EPP_INFO, EPP_LOGIN, EPP_LOGOUT, EPP_RENEW, EPP_TRANSFER, EPP_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPDomainMapFactory()` | Allocates a new `EPPDomainMapFactory`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EPPCommand` | `createCommand​(org.w3c.dom.Element aMapElement)` | creates a concrete `EPPCommand` from the passed in XML Element tree.
    `EPPResponse` | `createResponse​(org.w3c.dom.Element aMapElement)` | creates a concrete `EPPResponse` from the passed in XML Element tree.
    `EPPService` | `getService()` | Gets the `EPPService` associated with `EPPDomainMapFactory`.
    `java.util.Set<java.lang.String>` | `getXmlSchemas()` | Gets the list of XML schemas that need to be pre-loaded into the XML Parser.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final java.lang.String NS

      Namespace URI associated with EPPDomainMapFactory.
      See Also:
        Constant Field Values

    - #### NS_PREFIX

          public static final java.lang.String NS_PREFIX

      Namespace prefix associated with EPPDomainMapFactory.
      See Also:
        Constant Field Values

    - #### NS_CONTACT

          public static final java.lang.String NS_CONTACT

      Namesapce URI associated with the Contact Command Mapping.
      See Also:
        Constant Field Values

    - #### ELM_DOMAIN_AUTHINFO

          public static final java.lang.String ELM_DOMAIN_AUTHINFO

      XML tag name associated with domain authorization information. This value will be passed to the authInfo object when it is initialized in domain command mappings.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPDomainMapFactory

          public EPPDomainMapFactory()

      Allocates a new `EPPDomainMapFactory`. The service attribute will be initialized with the XML namespace information defined by the `EPPDomainMapFactory` constants:
      - NS_PREFIX Namespace prefix of `EPPDomainMapFactory`
      - NS Namespace URI of `EPPDomainMapFactory`
      - NS_SCHEMA Namespace schema reference of `EPPDomainMapFactory`

  - ### Method Detail

    - #### createCommand

          public EPPCommand createCommand​(org.w3c.dom.Element aMapElement)
                                   throws EPPCodecException

      creates a concrete `EPPCommand` from the passed in XML Element tree. `aMapElement` must be the root node for the command extension. For example, <domain:create> must be the element passed for a Domain Create Command.
      Specified by:
        `createCommand` in class `EPPMapFactory`
      Parameters:
        `aMapElement` - Mapping Extension EPP XML Element.
      Returns:
        Concrete `EPPCommand` instance associated with `aMapElement`.
      Throws:
        `EPPCodecException` - Error creating concrete `EPPCommand`

    - #### createResponse

          public EPPResponse createResponse​(org.w3c.dom.Element aMapElement)
                                     throws EPPCodecException

      creates a concrete `EPPResponse` from the passed in XML Element tree. `aMapElement` must be the root node for the command extension. For example, <domain:info-data> must be the element passed for a Domain Info Response.
      Specified by:
        `createResponse` in class `EPPMapFactory`
      Parameters:
        `aMapElement` - Mapping Extension EPP XML Element.
      Returns:
        Concrete `EPPResponse` instance associated with `aMapElement`.
      Throws:
        `EPPCodecException` - Error creating concrete `EPPResponse`

    - #### getService

          public EPPService getService()

      Gets the `EPPService` associated with `EPPDomainMapFactory`. The `EPPService` is used by `EPPFactory` for distributing the responsibility of creating concrete `EPPCommand` and `EPPResponse` objects by XML namespace. The XML namespace is defined in the returned `EPPService`.
      Specified by:
        `getService` in class `EPPMapFactory`
      Returns:
        service description for the Domain Command Mapping.

    - #### getXmlSchemas

          public java.util.Set<java.lang.String> getXmlSchemas()

      Gets the list of XML schemas that need to be pre-loaded into the XML Parser.
      Overrides:
        `getXmlSchemas` in class `EPPMapFactory`
      Returns:
        `Set` of `String` XML Schema names that should be pre-loaded in the XML Parser.
      See Also:
        `EPPMapFactory.getXmlSchemas()`